UnaryExpression (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.filter.UnaryExpression class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.filter
Class UnaryExpression

    java.lang.Object
      org.codehaus.activemq.filter.UnaryExpression

All Implemented Interfaces:
  Expression

Direct Known Subclasses:
  ComparisonExpression.LikeExpression, MultiExpressionEvaluator.CacheExpression, UnaryExpression.BooleanUnaryExpression

public abstract class UnaryExpression
extends Object
implements Expression

An expression which performs an operation on two expression values

Version:
  $Revision: 1.1 $

Nested Class Summary
`(package private) static class` | `UnaryExpression.BooleanUnaryExpression`

Field Summary
`protected Expression` | `right`

Constructor Summary
`UnaryExpression(Expression left)`

Method Summary
`static Expression` | `createNegate(Expression left)`
`static BooleanExpression` | `createNOT(BooleanExpression left)`
`boolean` | `equals(Object o)` TODO: more efficient hashCode()
`abstract String` | `getExpressionSymbol()` Returns the symbol that represents this binary expression.
`Expression` | `getRight()`
`int` | `hashCode()` TODO: more efficient hashCode()
`void` | `setRight(Expression expression)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.activemq.filter.Expression
`evaluate`

Field Detail

### right

    protected Expression right

Constructor Detail

### UnaryExpression

    public UnaryExpression(Expression left)

Method Detail

### createNegate

    public static Expression createNegate(Expression left)

### createNOT

    public static BooleanExpression createNOT(BooleanExpression left)

### getRight

    public Expression getRight()

### setRight

    public void setRight(Expression expression)

### toString

    public String toString()

  See Also:
    `Object.toString()`

### hashCode

    public int hashCode()

  TODO: more efficient hashCode()

  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object o)

  TODO: more efficient hashCode()

  See Also:
    `Object.equals(java.lang.Object)`

### getExpressionSymbol

    public abstract String getExpressionSymbol()

  Returns the symbol that represents this binary expression. For example, addition is represented by "+"

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.